NXOpen .NET Reference  12.0.0
NXOpen.Routing.ProxyPortCollection Member List

This is the complete list of members for NXOpen.Routing.ProxyPortCollection, including all inherited members.

CreateProxyPort(NXOpen.Point3d origin, NXOpen.Vector3d alignmentVector, NXOpen.Vector3d rotationVector, NXOpen.DisplayableObject rotationObject, double clockAngle)NXOpen.Routing.ProxyPortCollection
CreateProxyPort(NXOpen.Point3d origin, NXOpen.Vector3d alignmentVector)NXOpen.Routing.ProxyPortCollection
CreateProxyPort(NXOpen.Point3d origin, NXOpen.Vector3d alignmentVector, NXOpen.Vector3d rotationVector, NXOpen.DisplayableObject rotationObject, double clockAngle, NXOpen.Point point)NXOpen.Routing.ProxyPortCollection
CreateProxyPort(NXOpen.Point3d origin, NXOpen.Vector3d alignmentVector, NXOpen.Point point)NXOpen.Routing.ProxyPortCollection
CreateProxyPort(NXOpen.Point3d origin, NXOpen.Vector3d alignmentVector, NXOpen.Vector3d rotationVector, NXOpen.DisplayableObject rotationObject, double clockAngle, NXOpen.Axis axis)NXOpen.Routing.ProxyPortCollection
CreateProxyPort(NXOpen.Point3d origin, NXOpen.Vector3d alignmentVector, NXOpen.Axis derivationObject)NXOpen.Routing.ProxyPortCollection
CreateProxyPort(NXOpen.Point3d origin, NXOpen.Vector3d alignmentVector, NXOpen.Vector3d rotationVector, NXOpen.DisplayableObject rotationObject, double clockAngle, bool allowMultipleConnections)NXOpen.Routing.ProxyPortCollection
CreateProxyPort(NXOpen.Point3d origin, NXOpen.Vector3d alignmentVector, bool allowMultipleConnections)NXOpen.Routing.ProxyPortCollection
CreateProxyPort(NXOpen.Point3d origin, NXOpen.Vector3d alignmentVector, NXOpen.Vector3d rotationVector, NXOpen.DisplayableObject rotationObject, double clockAngle, NXOpen.Point point, bool allowMultipleConnections)NXOpen.Routing.ProxyPortCollection
CreateProxyPort(NXOpen.Point3d origin, NXOpen.Vector3d alignmentVector, NXOpen.Point point, bool allowMultipleConnections)NXOpen.Routing.ProxyPortCollection
CreateProxyPort(NXOpen.Point3d origin, NXOpen.Vector3d alignmentVector, NXOpen.Vector3d rotationVector, NXOpen.DisplayableObject rotationObject, double clockAngle, NXOpen.Axis axis, bool allowMultipleConnections)NXOpen.Routing.ProxyPortCollection
CreateProxyPort(NXOpen.Point3d origin, NXOpen.Vector3d alignmentVector, NXOpen.Axis derivationObject, bool allowMultipleConnections)NXOpen.Routing.ProxyPortCollection
EnumerateMoveNext(ref Tag currentTag, byte[] state)NXOpen.Routing.ProxyPortCollectionprotected
TagNXOpen.Routing.ProxyPortCollection
ToArray()NXOpen.Routing.ProxyPortCollection
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.